import { gql } from "@apollo/client";

export const INSERT_ALLOCATION = gql`
  mutation INSERT_ALLOCATION($alloc: [allocations_insert_input!]!) {
    insert_allocations(objects: $alloc) {
      returning {
        id
      }
    }
  }
`;

export const DELETE_ALLOCATION = gql`
  mutation DELETE_ALLOCATION($id: uuid!) {
    delete_allocations(where: { id: { _eq: $id } }) {
      returning {
        id
      }
    }
  }
`;
